/* 
 * Author: gb
 *
 * Created on 2 de Novembro de 2015, 18:50
 */

#include "opencv2/opencv.hpp"
using namespace cv;


int main(int, char**)
{
    
    Mat img = imread("letrab.png", 0);
    
    threshold(img, img, 127, 255, cv::THRESH_BINARY_INV);
    
        
    Mat resultado(img.size(), CV_8UC1, cv::Scalar(0));
    Mat temp;
    Mat eroded;
 
    Mat element = getStructuringElement(MORPH_CROSS, Size(3, 3)); 
    
    while (countNonZero(img) != 0)
    {
        erode(img, eroded, element);
        dilate(eroded, temp, element); // temp = open(img)
        subtract(img, temp, temp);
        bitwise_or(resultado, temp, resultado);
        //imshow("inter", skel); waitKey(0);
        eroded.copyTo(img);
    } 
    
    imshow("Resultado", resultado);
    waitKey(0);
}
